Bug 732933 - [vdsm] vdsClient - getFloppyList returns with KeyError
Summary: [vdsm] vdsClient - getFloppyList returns with KeyError
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Dan Kenigsberg
QA Contact: Dafna Ron
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 08:00 UTC by Haim
Modified: 2014-01-13 00:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-17 07:49:41 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Haim 2011-08-24 08:00:42 UTC
Description of problem:

[root@nott-vds1 ~]# vdsClient -s 0 getFloppyList 8ee1e445-cbc3-494a-8836-33f4cd6beeaf
{'status': {'message': 'OK', 'code': 0}, 'isolist': ['win7-64.vfd', 'win2003-x64-unattended.vfd', 'win2k8-32_with_virtio.vfd', 'win7x64_with_virtio.vfd', 'win7-32.vfd', 'virtio-win-1.3.1.vfd', 'win2k3-64-with-virtio.vfd', 'virtio-drivers-1.0.1-52454.vfd', 'win2003-32-unattended.vfd', 'win2000-Pro-unattended.vfd', 'win2k3-32-with-virtio.vfd', 'win2k8-R2.vfd', 'virtio-win-1.2.0.vfd', 'virtio-drivers-1.0.2-52454.vfd', 'win2k3.vfd', 'winxp.vfd', 'win2k3x64.vfd', 'virtio-drivers-1.0.0-45801.vfd', 'winXP-Pro-SP2-32-unattended.vfd', 'virtio-drivers.vfd', 'winXP-x64-unattended.vfd', 'win7-32_with_virtio.vfd', 'winxp_32_virtio.vfd', 'virtio-drivers-1.0.0-8.vfd', 'win2k8-R2_with_virtio.vfd']}
Traceback (most recent call last):
  File "/usr/share/vdsm/vdsClient.py", line 1988, in <module>
    code, message = commands[command][0](commandArgs)
  File "/usr/share/vdsm/vdsClient.py", line 990, in getFloppyList
    for entry in floppies['floppylist']:
KeyError: 'floppylist'

Comment 2 Haim 2011-08-24 11:05:51 UTC
http://gerrit.usersys.redhat.com/850

Comment 3 Haim 2012-01-25 07:13:31 UTC
[root@nott-vds1 ~]# vdsClient -s 0 getFloppyList
Error using command: list index out of range 

getFloppyList
	<spUUID>
	Returns list of all .vfd images in ISO domain
You have mail in /var/spool/mail/roo


Note You need to log in before you can comment on or make changes to this bug.